#include<bits/stdc++.h>
typedef long long ll;

using namespace std;

int n, m;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);    
    freopen("CAU2.INP","r",stdin);
    freopen("CAU2.OUT","w",stdout);
    cin >> n >> m;
    vector<int> a(n), b(m);
    for(int i = 0; i < n; i++) 
        cin >> a[i];
    for (int i = 0; i < m; i++)
        cin >> b[i];
    sort(a.begin(),a.end());
    sort(b.begin(),b.end());
    int i = 0, j = 0, d = 0;
    while(i < n && j < m) {
        if(a[i] > b[j]) {
            d++;
            i++;
            j++;
        } else i++;
    }
    cout << d << '\n';

    return 0;
}